@echo off
:begin
CLS
echo Welcome to the TruRail Sims PacSurf Radio Selector, brought to you by RailroadRadio.net. (edited by Brandon Railfan)
echo.
echo Please select a region, or disconnect entirely
echo 0. Disconnect
echo 1. Western
echo 2. Exit
echo.
set /p op=Region Select: 
if "%op%" =="0" goto op0
if "%op%" =="1" goto pst
if "%op%" =="2" exit

:op0
taskkill /im "PotPlayerMini64.exe" /f
goto begin

:goback
goto begin

:can
CLS
echo Choose from the following channels:
echo.
echo 1. 
echo 2. 
echo 3. 
echo 4. Back to menu
echo.
set /p canop= Channel Select:
if "%canop%" =="1" goto 
if "%canop%" =="2" goto 
if "%canop%" =="3" goto 
if "%canop%" =="4" goto 

:canop1
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0"
exit

:canop2
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0"
exit 

:canop3
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0"
exit 

:cst
CLS
echo Choose from the following channels:
echo.
echo 1. 
echo 2. 
echo 3. 
echo 4. 
echo 5. 
echo 6. 
echo 7. 
echo 8. 
echo 9. 
echo 10. Back to menu
echo.
set /p cstop= Channel Select:
if "%cstop%" =="1" 
if "%cstop%" =="2" 
if "%cstop%" =="3" 
if "%cstop%" =="4" 
if "%cstop%" =="5" 
if "%cstop%" =="6" 
if "%cstop%" =="7" 
if "%cstop%" =="8" 
if "%cstop%" =="9" 
if "%cstop%" =="10" goto goback

:cstop1
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0"
exit

:cstop2
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0"
exit

:cstop3
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0"
exit

:cstop4
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0"
exit

:cstop5
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0"
exit

:cstop6
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0"
exit

:cstop7
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0"
exit

:cstop8
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0"
exit

:cstop9
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0"
exit

:est
CLS
echo Choose from the following channels:
echo.
echo 1. 
echo 2. 
echo 3. 
echo 4. 
echo 5. 
echo 6. 
echo 7. 
echo 8. 
echo 9. 
echo 10. 
echo 11. 
echo 12. 
echo 13. 
echo 14. 
echo 15. 
echo 16. 
echo 17. 
echo 18. Back to menu
echo.
set /p estop= Channel Select:
if "%estop%" =="1" goto estop1
if "%estop%" =="2" goto estop2
if "%estop%" =="3" goto estop3
if "%estop%" =="4" goto estop4
if "%estop%" =="5" goto estop5
if "%estop%" =="6" goto estop6
if "%estop%" =="7" goto estop7
if "%estop%" =="8" goto estop8
if "%estop%" =="9" goto estop9
if "%estop%" =="10" goto estop10
if "%estop%" =="11" goto estop11
if "%estop%" =="12" goto estop12
if "%estop%" =="13" goto estop13
if "%estop%" =="14" goto estop14
if "%estop%" =="15" goto estop15
if "%estop%" =="16" goto estop16
if "%estop%" =="17" goto estop17
if "%estop%" =="18" goto goback

:estop1
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Rochester_NY_Area\rochester.pls"
exit

:estop2
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Wilmington_DE_Area\wilmington.pls"
exit

:estop3
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Richmond_VA\chester.pls"
exit

:estop4
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Carson_VA\carson.pls"
exit

:estop5
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Afton_VA\afton.pls"
exit

:estop6
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\NS_Roanoke_VA\roanoke.pls"
exit

:estop7
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Manassas_VA\manassas.pls"
exit

:estop8
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Ashland_Va_Audio_Scanner_Feed\hunton.pls"
exit

:estop9
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Orange_Virginia\orangeVA.pls"
exit

:estop10
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Bristol_VA\bristol_va.pls"
exit

:estop11
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\NS_Allegheny_Division_West_Slope\westslope.pls"
exit

:estop12
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Baltimore_MD\baltimore.pls"
exit

:estop13
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Central_NJ_Rail_Scanner\centralNJ.pls"
exit

:estop14
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Greater_Canton_Ohio_Area\greaterOH.pls"
exit

:estop15
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Spartanburg_SC\spartanburg.pls"
exit

:estop16
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Teays_Valley_Hurricane_WV\teays.pls"
exit

:estop17
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Eastern\Upstate_South_Carolina\upstateSC.pls"
exit

:mst
CLS
echo Choose from the following channels:
echo.
echo 1. 
echo 2. 
echo 3. 
echo 4. 
echo 5. 
echo 6. 
echo 7. 
echo 8.
echo 9. 
echo 10. 
echo 11. 
echo 12. 
echo 13. 
echo 14. 
echo 15. 
echo 16. 
echo 17. 
echo 18. 
echo 19. 
echo 20. 
echo 21. 
echo 22. 
echo 23. Back to menu
echo.
set /p mstop= Channel Select:
if "%mstop%" =="1" goto mstop1
if "%mstop%" =="2" goto mstop2
if "%mstop%" =="3" goto mstop3
if "%mstop%" =="4" goto mstop4
if "%mstop%" =="5" goto mstop5
if "%mstop%" =="6" goto mstop6
if "%mstop%" =="7" goto mstop7
if "%mstop%" =="8" goto mstop8
if "%mstop%" =="9" goto mstop9
if "%mstop%" =="10" goto mstop10
if "%mstop%" =="11" goto mstop11
if "%mstop%" =="12" goto mstop12
if "%mstop%" =="13" goto mstop13
if "%mstop%" =="14" goto mstop14
if "%mstop%" =="15" goto mstop15
if "%mstop%" =="16" goto mstop16
if "%mstop%" =="17" goto mstop17
if "%mstop%" =="18" goto mstop18
if "%mstop%" =="19" goto mstop19
if "%mstop%" =="20" goto mstop20
if "%mstop%" =="21" goto mstop21
if "%mstop%" =="22" goto mstop22
if "%mstop%" =="23" goto goback

:mstop1
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\BNSF_Whitefish_MT\whitefish.pls"
exit

:mstop2
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\MRL_Laurel_and_BNSF_Huntley\laurel.pls"
exit

:mstop3
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\MRL_Billings\billings.pls"
exit

:mstop4
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\MRL_Belgrade\belgrade.pls"
exit

:mstop5
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\MRL_Bozeman\bozeman1.pls"
exit

:mstop6
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\MRL_Livingston\livingston.pls"
exit

:mstop7
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\MRL_Helena\helena.pls"
exit

:mstop8
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\MRL_Missoula_MT\missoula.pls"
exit

:mstop9
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\MRL_Thompson_Falls\T-Falls.pls"
exit

:mstop10
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\MRL_Sandpoint_ID\Sandpoint.pls"
exit

:mstop11
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\Glenwood_Springs_CO\glenwood.pls"
exit

:mstop12
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\UP_Moffat_Line_Winter_Park_to_Tabernash_Colorado\moffat.pls"
exit

:mstop13
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\BNSF_Front_Range_Sub\frontrange.pls"
exit

:mstop14
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\BNSF_UP_Colorado_Joint_Line_Updated\castlerock.pls"
exit

:mstop15
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\BNSF_UP_Phoenix_Area\phoenix1.pls"
exit

:mstop16
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\UP_Wide_Area_AZ\pinal1.pls"
exit

:mstop17
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\BNSF_Seligman_and_Gallups_Subs_Winslow_AZ\seligman.pls"
exit

:mstop18
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\BNSF_Seligman_and_Phoenix_Subs_Grand_Canyon_Railway_Williams_AZ\williams.pls"
exit

:mstop19
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\BNSF_Seligman_Sub_Flagstaff_AZ\flagstaff.pls"
exit

:mstop20
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\Union_Pacific_UP_Yuma_And_Gila_Subs_Yuma_AZ\yuma.pls"
exit

:mstop21
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\UP_Gila_Dome_to_Mohawk\mohawk.pls"
exit

:mstop22
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Mountain\BNSF_Seligman_and_Kingman_Terminal_Railroad_Kingman_AZ\kingman1.pls"
exit

:pst
CLS
echo Choose from the following channels:
echo.
echo 0. Orange County, CA (BNSF/UP/Metrolink/Amtrak)
echo 1. Metrolink San Fernando Valley
echo 2. Metrolink Lancaster, CA
echo 3. Back to menu
echo.
set /p pstop= Channel Select:
if "%pstop%" =="1" goto pstop1
if "%pstop%" =="2" goto pstop2
if "%pstop%" =="3" goto pstop3
if "%pstop%" =="4" goto goback

:pstop
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\Orange_County_CA_BNSF_UP_Metrolink_Amtrak\orange.pls"
exit

:pstop
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\Wenatchee_Area_WA\wenatchee.pls"
exit

:pstop
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\Pasco_Area\pasco.pls"
exit

:pstop
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\BNSF_Seattle_Terminal\seattle.pls"
exit

:pstop
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\BNSF_Centralia_North_UP_Seattle_Sub\centralia-north.pls"
exit

:pstop
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\BNSF_Stampede_Pass_West_Side\stampede_west.pls"
exit

:pstop
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\BNSF_Stampede_Pass_East_Side\stampede1.pls"
exit

:pstop
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\Vancouver_Columbia_River_Area_WA\vancouver.pls"
exit

:pstop
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\UP_CORP_Eugene_OR\eugene1.pls"
exit

:pstop
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\UP_Dunsmuir\dunsmuir.pls"
exit

:pstop
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\BNSF_Gateway_Sub\gateway.pls"
exit

:pstop
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\Truckee_CA\truckee.pls"
exit

:pstop
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\West_Sacramento_CA\roseville.pls"
exit

:pstop
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\UP_San_Francisco_Bay_Area\UPBay1.pls"
exit

:pstop
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\UP_BNSF_Central_Valley\central-valley.pls"
exit

:pstop
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\SF_Peninsula_Caltrain_UP\caltrain.pls"
exit

:pstop2
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\Lancaster_Ca\lancaster.pls"
exit

:pstop0
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\Orange_County_CA_BNSF_UP_Metrolink_Amtrak\orange.pls"
exit

:pstop1
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\Metrolink_San_Fernando_Valley\metrolinkSFV.pls"
exit

:pstop
taskkill /im "PotPlayerMini64.exe" /f
timeout 1
start "PotPlayerMini64.exe" "%~dp0Western\BNSF_Hesperia_Upper_Cajon\hesperia1.pls"
exit